Page MenuHomeFreeBSD

devel/cosmocc: Very early WIP for the Cosmopolitan C compiler
Needs ReviewPublic

Authored by jrm on Apr 9 2024, 8:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, May 9, 4:17 AM
Unknown Object (File)
Fri, Apr 26, 4:56 AM
Unknown Object (File)
Apr 12 2024, 6:52 PM
Unknown Object (File)
Apr 11 2024, 11:28 PM
Subscribers
This revision needs review, but there are no reviewers specified.

Details

Reviewers
None
Summary

I'm still investigating whether it makes sense to add this to the ports tree.

cosmocc is the compiler for the cosmopolitan toolchain. Cosmopolitan
Libc makes C a build-once run-anywhere language, like Java, except it
doesn't need an interpreter or virtual machine. Instead, it reconfigures
stock GCC and Clang to output a POSIX-approved polyglot format that runs
natively on Linux + Mac + Windows + FreeBSD + OpenBSD + NetBSD + BIOS
with the best possible performance and the tiniest footprint imaginable.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 56991
Build 53879: arc lint + arc unit

Event Timeline

jrm requested review of this revision.Apr 9 2024, 8:23 PM
jrm created this revision.
jrm retitled this revision from devel/cosmocc: Very early WIP for the Cosmpolitan C compiler to devel/cosmocc: Very early WIP for the Cosmopolitan C compiler.Apr 15 2024, 12:58 PM